[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Remove Older Docker Stack (Jersey/Jackson/HK2/JNR) From New Builds

As of Orbit's contribution to Oxygen M4 [1], a newer version of the
Docker Client Stack was added that contained the following versions :

Docker Client (Java) 3.6.8, Jersey 2.22.1, Jackson 2.6.2 and HK2 2.5.0.

The older stack, which is still part of every newer build contains the
following versions :

Docker Client (Java) 3.1.1, Jersey 2.14, Jackson 2.5.0, and HK2 2.4.0.

With the newer versions in place, I would like to remove the old stack from
future builds and encourage those who depend on it to migrate to the newer
versions. If there's any objections or concerns to this, please mention
them.

I hope to be making this change before the end of next week, so it will be
in for Oxygen M5. This would at least give us time to fix any issues or
making additional removals up until M6, which would be the deadline for
such changes.

To be clear, the older stack will continue to be available in builds
R20150519210750 to R20160520211859. We would never touch those. However as
per our retention policy [2], it would be great to clean things up going
forward. So if you continue to reference the older R-builds mentioned, you
won't be affected, but if you follow the latest N/I/S/(eventually R) builds
from Orbit for the bundles mentioned, you'll need to make sure your project
is compatible with the newer versions.

Specifically, the following bundles will be removed from future builds :

com.spotify.docker.client 3.1.1

Jersey 2.14
org.glassfish.jersey.apache.connector
org.glassfish.jersey.bundles.repackaged.jersey-guava
org.glassfish.jersey.core.jersey-client
org.glassfish.jersey.core.jersey-common
org.glassfish.jersey.media.jersey-media-json-jackson   

Jackson 2.5.0
com.fasterxml.jackson.core.jackson-annotations
com.fasterxml.jackson.core.jackson-core
com.fasterxml.jackson.core.jackson-databind
com.fasterxml.jackson.dataformat.jackson-dataformat-yaml
com.fasterxml.jackson.datatype.jackson-datatype-guava
com.fasterxml.jackson.jaxrs.jackson-jaxrs-base
com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider
com.fasterxml.jackson.module.jackson-module-jaxb-annotations

HK2 2.3.0
org.glassfish.hk2.api
org.glassfish.hk2.locator
org.glassfish.hk2.osgi-resource-locator
org.glassfish.hk2.utils

JNR
jnr.constants 0.8.6
jnr.enxio 0.6.0
jnr.ffi 2.0.1
jnr.posix 3.0.9
jnr.unixsocket 0.5.0
(Note that the only project to reference JNR Orbit CQs,
tools.linuxtools has already updated to the latest available version
of JNR bundles)

Cheers,
-- 
Roland Grunberg

[1] http://download.eclipse.org/tools/orbit/downloads/drops/S20161205183421/
[2] https://wiki.eclipse.org/Orbit/Promotion,_Release,_and_Retention_Policies#Bundle_Retention_in_active_builds